Skip to content

Start an app

POST
/api/v1/apps/{app_name}/start
curl --request POST \
--url https://example.com/api/v1/apps/example/start

Start an app. Only Nexa-managed apps can be started.

app_name
required
App Name
string

Successful Response

Media typeapplication/json
App

App model matching Databricks specification exactly.

object
name
required
Name

App name

string
description
Any of:
string
active_deployment
Any of:
AppDeployment

App deployment model matching Databricks specification.

object
deployment_id
Any of:
string
deployment_artifacts
Any of:
AppDeploymentArtifacts

Deployment artifacts information.

object
source_code_path
Any of:
string
mode
Any of:
DeploymentMode

Deployment mode enum from Databricks.

string
Allowed values: AUTO_SYNC SNAPSHOT
source_code_path
Any of:
string
create_time
Any of:
string format: date-time
creator
Any of:
string
deployment_status
Any of:
AppDeploymentStatus

Deployment status information.

object
state
required
DeploymentState

Deployment state

string
Allowed values: IN_PROGRESS SUCCEEDED FAILED
message
Any of:
string
app_status
Any of:
ApplicationStatus

Application status information.

object
state
required
ApplicationState

Current application state

string
Allowed values: CRASHED DEPLOYING RUNNING UNAVAILABLE
message
Any of:
string
compute_status
Any of:
ComputeStatus

Compute status information.

object
state
required
ComputeState

Current compute state

string
Allowed values: ACTIVE DELETING ERROR STARTING STOPPED STOPPING UPDATING
message
Any of:
string
create_time
Any of:
string format: date-time
creator
Any of:
string
service_principal_name
Any of:
string
updater
Any of:
string
update_time
Any of:
string format: date-time
url
Any of:
string
Example
{
"active_deployment": {
"mode": "SNAPSHOT",
"deployment_status": {
"state": "IN_PROGRESS"
}
},
"app_status": {
"state": "CRASHED"
},
"compute_status": {
"state": "ACTIVE"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}